MP4(3)

NAME

MP4BinaryToBase16 - Convert binary data to a base 16 string

SYNTAX

#include <mp4.h>

char* MP4BinaryToBase16(
    const u_int8_t* pData,
    u_int32_t dataSize
)

ARGUMENTS

pData
    Specifies the pointer to the binary data.

dataSize
    Specifies the size in bytes of the binary data.

RETURN VALUES

Upon success, a null terminated string representing the data in base 16. Upon error, NULL.

DESCRIPTION

MP4BinaryToBase16 converts binary data to a base 16 string. This encoding maps groups of 4 bits into the character set [0-9a-f]. The string is in malloc'd memory, so the caller is responsible for free'ing the memory.

This utility is useful for generating the SDP descriptions for some RTP payloads.

Example:
    0x12, 0xAB -> "12ab"

SEE ALSO

MP4(3)